<?php

global $db, $INCLUDE_FOLDER, $MODULE_VARS;

if (!function_exists('LoadModuleEnv')) {
	require_once($INCLUDE_FOLDER."s_loadenv.inc.php");
	LoadModuleEnv();
}

$Parameters = $db->get_var("SELECT `Parameters` FROM `Module` WHERE `Keyword` = 'blog'");

// Class
$Parameters = UpdateParameters($Parameters, "BLOG_USER_PERMISSION", 71);
$Parameters = UpdateParameters($Parameters, "BLOG_MODERATOR_PERMISSION", 95);
$Parameters = UpdateParameters($Parameters, "BLOG_ADMIN_PERMISSION", 127);

// update base
$db->query("UPDATE `Module` SET `Parameters` = '".$db->escape($Parameters)."' WHERE `Keyword` = 'blog'");

$blogs_ccs = $db->get_results("SELECT DISTINCT `Sub_Class_ID`, `Subdivision_ID`
  FROM `Sub_Class`
  WHERE `Class_ID` IN (".$MODULE_VARS['blog']['BLOG_MESSAGES_CLASS_ID'].", ".$MODULE_VARS['blog']['BLOG_MESSAGES_SETTINGS_CLASS_ID'].", ".$MODULE_VARS['blog']['BLOG_MESSAGES_USERS_CLASS_ID'].", ".$MODULE_VARS['blog']['BLOG_COMMENTS_CLASS_ID'].")", ARRAY_A);

$cc_arr = array();
$sub_arr = array();
if ( !empty($blogs_ccs) ) {
  foreach ($blogs_ccs as $value) {
    if ( !in_array($value['Sub_Class_ID'], $cc_arr) ) $cc_arr[] = $value['Sub_Class_ID'];
    if ( !in_array($value['Subdivision_ID'], $sub_arr) ) $sub_arr[] = $value['Subdivision_ID'];
  }
}

if ( !empty($cc_arr) ) {
  $db->query("UPDATE `Permission` SET `PermissionSet` = `PermissionSet` + 64
    WHERE `AdminType` = 9 AND `Catalogue_ID` IN (".join(",", $cc_arr).")");
}

if ( !empty($sub_arr) ) {
  $db->query("UPDATE `Permission` SET `PermissionSet` = `PermissionSet` + 64
    WHERE `AdminType` = 3 AND `Catalogue_ID` IN (".join(",", $sub_arr).")");
}

?>