<?php
/* $Id: nc_gzip.class.php 2900 2009-02-18 15:33:01Z vadim $ */

class nc_Gzip extends nc_System {
  
  protected $core;
  
  public function __construct ($core) {
    // load parent constructor
    parent::__construct();
    
    // system superior object
    if ( get_class($core)=="nc_Core" ) $this->core = $core;
  }
  
  public function check () {
  	// check "ob_gzhandler" existion
  	$gzip_exist = false;
  	if( ob_list_handlers() ) {
  		$gzip_exist = in_array("ob_gzhandler", ob_list_handlers());
  	}
  	// if compression not enabled yet
  	if(!$gzip_exist) {
  		// get HTTP_ACCEPT_ENCODING string
  		$encode_string = explode(",", $_SERVER['HTTP_ACCEPT_ENCODING']);
  		$result = false;
  		foreach ($encode_string as $value) {
  			// parse value
  			$value = trim($value);
  			if($value==="gzip" || $value==="x-gzip") {
  				$result = $value;
  				break;
  			}
  		}
  	}
  	
    return $result;  
  }

}

?>