<?php
/* $Id: s_extract.inc.php 2812 2009-02-11 10:46:40Z vadim $ */
$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -3 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
// unset for security reasons
$SYSTEM_FOLDER = "";
@include_once ($NETCAT_FOLDER."vars.inc.php");
// if vars.inc.php not updated set default value for $SYSTEM_FOLDER
if (!$SYSTEM_FOLDER) {
  global $SYSTEM_FOLDER;
  $SYSTEM_FOLDER = $ROOT_FOLDER."system/";
}
// include all new system classes
require_once ($SYSTEM_FOLDER."index.php");

/**
 * DEPRECATED!
 *   GZip    
 * 
 * @return mixed (false     ,      )
 */
function nc_gzip_check() {
  global $nc_core;
	
  return $nc_core->gzip->check();  
}

# ob_start with GZip if possible
if ( $use_gzip_compression && $nc_core->gzip->check() ) {
	ob_start("ob_gzhandler");
}
else {
	ob_start();
}

// parse url before extract! $_GET array remap in this function
$parsed_url = $nc_core->url->parse_url();
// for old versions
$client_url = $nc_core->url->source_url();

// it's faster than using $_REQUEST, even without check whether all variables present in $_REQUEST or not
$_NETCAT_INPUT = $nc_core->input->prepare_extract();
// extract all variables from superglobals arrays, this method must be DEPRECATED!
extract($_NETCAT_INPUT);
// unset temp variable to perform memory usage
unset ($_NETCAT_INPUT);

$_cache = array();

?>