<?php
/* $Id: nc_db.class.php 2827 2009-02-12 11:45:54Z vadim $ */

// vars.inc.php
if ( !isset($ROOT_FOLDER) ) {
  $NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -3 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
  include ($NETCAT_FOLDER."vars.inc.php");
}

// load db files
include_once ($ROOT_FOLDER."sql_core.php");
include_once ($ROOT_FOLDER."sql_mysql.php");

class nc_Db extends ezSQL_mysql {
  
  public function __construct ($core) {
    // system superior object
    if ( get_class($core)=="nc_Core" ) $this->core = $core;
  }
  
  public function set_connect ($dbname, $dbuser, $dbpassword = "", $dbhost = "localhost") {
    // inherit parent method and connect to the select base
    parent::ezSQL_mysql($dbuser, $dbpassword, $dbname, $dbhost);

    // connection error
    if ( !($this->dbh && get_resource_type($this->dbh)=="mysql link") ) {
      throw new Exception ("Unable to connect to the database \"".$dbname."\" at \"".$dbhost."\" host");
    }
    
    // if MySQL tables not exist
    if ( !$this->get_var("SHOW TABLES LIKE 'Settings'") ) {
      if ( file_exists($this->core->DOCUMENT_ROOT.$this->core->SUB_FOLDER."/install/index.php") ) {
        header("Location: ".$this->core->SUB_FOLDER."/install/");
      }
      else {
        throw new Exception (NETCAT_ERROR_DB_CONNECT);
      }
    }
  }
  
}

?>